<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Права доступа</title>
</h:head>
<h:body>
    <f:facet name="last">
        <h:outputStylesheet library="css" name="primefaces-override.css"/>
    </f:facet>
    <h:form>
        <p:outputPanel id="changepassword" style="text-align:center;" autoUpdate="true">
            <p:panelGrid columns="4">

                <h:outputLabel value="Id:" rendered="false"/>
                <h:inputText maxlength="20" value="#{user.userInfo.id}" readonly="true" style="background-color: #d4d4d1;" required="true" rendered="false"/>

                <h:outputLabel value="Имя:"  rendered="false"/>
                <h:inputText maxlength="20" value="#{user.userInfo.name}" readonly="true" style="background-color: #d4d4d1;" required="true" rendered="false"/>

                <h:outputLabel value="Пароль:" />
                <h:inputSecret maxlength="20" value="#{user.password1}" readonly="false" style="background-color: #d4d4d1;" required="true" requiredMessage="Укажите пароль" />

                <h:outputLabel value="Повторить пароль:" />
                <h:inputSecret maxlength="20" value="#{user.password2}" readonly="false" style="background-color: #d4d4d1;" required="true" requiredMessage="Укажите пароль"/>

                <h:outputLabel value="Права:"  rendered="false"/>
                <h:inputText maxlength="20" value="#{user.userInfo.permissions}" readonly="true" style="background-color: yellow;" required="true" requiredMessage="Укажите права" rendered="false"/>

                <h:outputLabel value="Тип:"  rendered="false"/>
                <h:inputText maxlength="20" value="#{user.userInfo.type}" readonly="true" style="background-color: yellow;" required="true" requiredMessage="Укажите тип" rendered="false"/>

                <h:outputLabel value="Полное имя:"  rendered="false"/>
                <h:inputText maxlength="20" value="#{user.userInfo.uname}" readonly="false" style="background-color: yellow;" required="false"  rendered="false"/>
            </p:panelGrid>
        </p:outputPanel>
        <div>
        <p:separator/>
        <p:commandButton value="Сохранить" ajax="false" action="#{user.saveFocusedRow}" styleClass="submitButton"/>
        <p:commandButton ajax="false" value="Отменить" action="#{user.close}" immediate="true" styleClass="cancelButton"/>
    </div>
    </h:form>
</h:body>
</html>

